<?php
include 'db.php';
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
    <link rel="stylesheet" href="css/main.css">
    <title>Admob ADS</title>
    <style>
        body {
            background-color: #ffffff; /* Light grey background */
            font-family: 'Arial', sans-serif; /* Font style */
        }

        .container {
            margin-top: 50px;
            padding: 40px; /* Increased padding for a spacious feel */
            background-color: #ffffff; /* White background for the form */
            border-radius: 12px; /* Rounded corners */
            box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1); /* Enhanced shadow */
        }

        h2 {
            text-align: left; /* টেক্সট বামপাশে নিয়ে আসা */
        color: #ffffff; /* টেক্সটের কালার সাদা */
        background-color: #007bff; /* ব্যাকগ্রাউন্ডের কালার নীল */
        padding: 10px; /* কিছু প্যাডিং যোগ করা হয়েছে */
        border-radius: 5px; /* কিছুটা রাউন্ডেড স্টাইল যোগ করা হয়েছে */
        margin-bottom: 30px; /* নিচে কিছু স্পেস দেয়া হয়েছে */
        font-size: 2rem; /* টেক্সটের সাইজ বড় করা হয়েছে */
        }

        fieldset {
            padding: 20px;
            border: 2px solid #007bff; /* Blue border */
            border-radius: 10px; /* Rounded corners for fieldset */
            margin-bottom: 20px; /* Space between fieldsets */
        }

        legend {
            font-size: 1.5rem; /* Larger font for the legend */
            font-weight: bold;
            color: #007bff; /* Blue color for legend */
            padding: 0 10px; /* Padding for legend */
            background-color: #f8f9fa; /* Light background for legend */
            border-radius: 5px; /* Rounded corners for legend */
        }

        label {
            color: #495057; /* Darker label color */
        }

        input:not(input[type="submit"]) {
            color: #495057 !important; /* Input text color */
        }

        .form-label {
            font-weight: bold; /* Bold labels */
        }

        .btn-primary {
            background-color: #007bff; /* Primary button color */
            border-color: #007bff; /* Button border color */
            transition: background-color 0.3s; /* Transition for hover effect */
            padding: 10px 20px; /* Increased button padding */
            font-size: 1rem; /* Increased button font size */
        }

        .btn-primary:hover {
            background-color: #0056b3; /* Darker blue on hover */
            border-color: #004085; /* Darker border on hover */
        }

        .footer {
            text-align: center;
            margin-top: 20px;
            color: #6c757d; /* Grey color for footer */
            font-size: 0.9rem; /* Smaller footer font size */
        }
    </style>
</head>

<body>

    <?php include_once('includes/header.php');

    $ads = mysqli_fetch_assoc(mysqli_query($conn, "SELECT * FROM `ads` WHERE `id` = 1"));

    if (isset($_POST['update'])) {
        $admob_id = mysqli_real_escape_string($conn, $_POST['admob_id']);
        $admob_banner = mysqli_real_escape_string($conn, $_POST['admob_banner']);
        $admob_interstitial = mysqli_real_escape_string($conn, $_POST['admob_interstitial']);
        $admob_native = mysqli_real_escape_string($conn, $_POST['admob_native']);

        $facebook_id = mysqli_real_escape_string($conn, $_POST['facebook_id']);
        $facebook_banner = mysqli_real_escape_string($conn, $_POST['facebook_banner']);
        $facebook_interstitial = mysqli_real_escape_string($conn, $_POST['facebook_interstitial']);
        $facebook_native = mysqli_real_escape_string($conn, $_POST['facebook_native']);

        $ads_status = mysqli_real_escape_string($conn, $_POST['ads_status']);
        $banner_type = mysqli_real_escape_string($conn, $_POST['banner_type']);
        $interstitial_type = mysqli_real_escape_string($conn, $_POST['interstitial_type']);
        $native_type = mysqli_real_escape_string($conn, $_POST['native_type']);

        $query = "UPDATE `ads` SET 
            `admob_id`='$admob_id',`admob_banner`='$admob_banner',`admob_interstitial`='$admob_interstitial',`admob_native`='$admob_native',
            `facebook_id`='$facebook_id',`facebook_banner`='$facebook_banner',`facebook_interstitial`='$facebook_interstitial',`facebook_native`='$facebook_native',
            `ads_status`=$ads_status,`banner_type`='$banner_type',`interstitial_type`='$interstitial_type',`native_type`='$native_type' 
            WHERE `id`=1";

        $update = mysqli_query($conn, $query);

        echo "<script>window.history.back(); window.location.reload();</script>";
    }
    ?>

    <div class="container">
        <h2>Ads Settings</h2>
        <form action="" method="post" class="mt-3">

            <div class="mb-3">
                <button class="btn btn-primary" type="button" data-bs-toggle="collapse" data-bs-target="#adsControl" aria-expanded="false" aria-controls="adsControl">
                     Ads Control <i class="fas fa-chevron-down"></i>
                </button>
            </div>
            <div class="collapse" id="adsControl">
                <fieldset>
                    <legend>Ads Control</legend>

                    <div class="mb-3">
                        <label for="ads_status" class="form-label">Ads STATUS</label>
                        <select class="form-select" id="ads_status" name="ads_status">
                            <option value="0" <?php echo $ads['ads_status'] == 0 ? "selected" : ""; ?>>Off</option>
                            <option value="1" <?php echo $ads['ads_status'] == 1 ? "selected" : ""; ?>>On</option>
                        </select>
                    </div>

                    <div class="mb-3">
                        <label for="banner_type" class="form-label">Banner TYPE</label>
                        <select class="form-select" id="banner_type" name="banner_type">
                            <option value="admob" <?php echo $ads['banner_type'] == "admob" ? "selected" : ""; ?>>Admob</option>
                            <option value="facebook" <?php echo $ads['banner_type'] == "facebook" ? "selected" : ""; ?>>Facebook</option>
                            <option value="off" <?php echo $ads['banner_type'] == "off" ? "selected" : ""; ?>>OFF</option>
                        </select>
                    </div>

                    <div class="mb-3">
                        <label for="interstitial_type" class="form-label">Interstitial TYPE</label>
                        <select class="form-select" id="interstitial_type" name="interstitial_type">
                            <option value="admob" <?php echo $ads['interstitial_type'] == "admob" ? "selected" : ""; ?>>Admob</option>
                            <option value="facebook" <?php echo $ads['interstitial_type'] == "facebook" ? "selected" : ""; ?>>Facebook</option>
                            <option value="off" <?php echo $ads['interstitial_type'] == "off" ? "selected" : ""; ?>>OFF</option>
                        </select>
                    </div>

                    <div class="mb-3">
                        <label for="native_type" class="form-label">Native TYPE</label>
                        <select class="form-select" id="native_type" name="native_type">
                            <option value="admob" <?php echo $ads['native_type'] == "admob" ? "selected" : ""; ?>>Admob</option>
                            <option value="facebook" <?php echo $ads['native_type'] == "facebook" ? "selected" : ""; ?>>Facebook</option>
                            <option value="off" <?php echo $ads['native_type'] == "off" ? "selected" : ""; ?>>OFF</option>
                        </select>
                    </div>
                </fieldset>
            </div>

            <div class="mb-3">
                <button class="btn btn-primary" type="button" data-bs-toggle="collapse" data-bs-target="#admobDetails" aria-expanded="false" aria-controls="admobDetails">
                     Admob Details <i class="fas fa-chevron-down"></i>
                </button>
            </div>
            <div class="collapse" id="admobDetails">
                <fieldset>
                    <legend>Admob Details</legend>

                    <div class="mb-3">
                        <label for="admob_id" class="form-label">Admob App ID</label>
                        <input type="text" class="form-control" id="admob_id" name="admob_id" value="<?php echo $ads['admob_id']; ?>" required />
                    </div>
                    <div class="mb-3">
                        <label for="admob_banner" class="form-label">Admob Banner ID</label>
                        <input type="text" class="form-control" id="admob_banner" name="admob_banner" value="<?php echo $ads['admob_banner']; ?>" required />
                    </div>
                    <div class="mb-3">
                        <label for="admob_interstitial" class="form-label">Admob Interstitial ID</label>
                        <input type="text" class="form-control" id="admob_interstitial" name="admob_interstitial" value="<?php echo $ads['admob_interstitial']; ?>" required />
                    </div>
                    <div class="mb-3">
                        <label for="admob_native" class="form-label">Admob Native ID</label>
                        <input type="text" class="form-control" id="admob_native" name="admob_native" value="<?php echo $ads['admob_native']; ?>" required />
                    </div>
                </fieldset>
            </div>

            <div class="mb-3">
                <button class="btn btn-primary" type="button" data-bs-toggle="collapse" data-bs-target="#facebookDetails" aria-expanded="false" aria-controls="facebookDetails">
                 Facebook Details <i class="fas fa-chevron-down"></i>
                </button>
            </div>
            <div class="collapse" id="facebookDetails">
                <fieldset>
                    <legend>Facebook Details</legend>

                    <div class="mb-3">
                        <label for="facebook_id" class="form-label">Facebook App ID</label>
                        <input type="text" class="form-control" id="facebook_id" name="facebook_id" value="<?php echo $ads['facebook_id']; ?>" required />
                    </div>
                    <div class="mb-3">
                        <label for="facebook_banner" class="form-label">Facebook Banner ID</label>
                        <input type="text" class="form-control" id="facebook_banner" name="facebook_banner" value="<?php echo $ads['facebook_banner']; ?>" required />
                    </div>
                    <div class="mb-3">
                        <label for="facebook_interstitial" class="form-label">Facebook Interstitial ID</label>
                        <input type="text" class="form-control" id="facebook_interstitial" name="facebook_interstitial" value="<?php echo $ads['facebook_interstitial']; ?>" required />
                    </div>
                    <div class="mb-3">
                        <label for="facebook_native" class="form-label">Facebook Native ID</label>
                        <input type="text" class="form-control" id="facebook_native" name="facebook_native" value="<?php echo $ads['facebook_native']; ?>" required />
                    </div>
                </fieldset>
            </div>

            <button type="submit" name="update" class="btn btn-primary">Update</button>
        </form>
    </div>

    <div class="footer">
        <p>&copy; <?php echo date('Y'); ?> Your Company. All Rights Reserved.</p>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.min.js"></script>
</body>

</html>
