<?php
include 'db.php';
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
    <link rel="stylesheet" href="css/main.css">
    <title>Add Server</title>
    <style>
        body {
            background: linear-gradient(135deg, #74ebd5 0%, #acb6e5 100%); /* Gradient background */
            font-family: 'Arial', sans-serif; /* Modern font */
            color: #333; /* Dark text color for readability */
        }

        .container {
            margin-top: 50px; /* Add space above the container */
            z-index: 1; /* Ensure container is above the background */
        }

        .card {
            border: none; /* Remove card border */
            border-radius: 16px; /* Rounded corners for the card */
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2); /* Strong box shadow */
            overflow: hidden; /* Hide overflow for rounded corners */
            background-color: #ffffff; /* Card background color */
        }

        .card-header {
            background-color: #5f27cd; /* Darker card header color */
            color: white; /* Text color in header */
            border-radius: 16px 16px 0 0; /* Rounded corners for header */
            text-align: center; /* Center header text */
            font-size: 1.5rem; /* Larger header text */
            padding: 20px; /* Padding for the header */
            position: relative; /* Relative position for effects */
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.15); /* Subtle shadow on header */
        }

        .form-label {
            font-weight: bold; /* Bold labels */
            color: #5f27cd; /* Label color */
        }

        .form-control,
        .form-select {
            border-radius: 8px; /* Rounded corners for inputs */
            box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.1); /* Input shadow */
            transition: box-shadow 0.3s ease; /* Transition effect for focus */
        }

        .form-control:focus,
        .form-select:focus {
            box-shadow: 0 0 5px rgba(95, 39, 205, 0.5); /* Focus shadow */
            border-color: #5f27cd; /* Focus border color */
        }

        .btn-primary {
            background-color: #5f27cd; /* Button background color */
            border: none; /* Remove border */
            transition: background-color 0.3s ease, transform 0.3s ease; /* Transition effect */
            border-radius: 20px; /* Rounded button */
            padding: 10px 20px; /* Button padding */
        }

        .btn-primary:hover {
            background-color: #4e20a2; /* Button hover color */
            transform: scale(1.05); /* Scale up on hover */
        }

        .text-center {
            margin-top: 20px; /* Margin for center text */
        }

        .footer {
            background-color: #f1f1f1; /* Footer background color */
            padding: 10px; /* Footer padding */
            text-align: center; /* Center footer text */
            border-top: 2px solid #5f27cd; /* Top border for footer */
            margin-top: 20px; /* Margin above footer */
        }
    </style>
</head>

<body>

    <?php include_once('includes/header.php');

    $gid = $_GET['id'];
    $q = "SELECT * FROM `servers` WHERE `id`= $gid";
    $fire = mysqli_query($conn, $q);

    $d = mysqli_fetch_assoc($fire);

    $name = $d['name'];
    $username = $d['username'];
    $password = $d['password'];
    $configFile = $d['configFile'];
    $flagURL = $d['flagURL'];
    $type = $d['type'];

    if (isset($_POST['update'])) {
        $uname = $_POST['name'];
        $uuser = $_POST['user'];
        $upassword = $_POST['password'];
        $uflag = $_POST['flag'];
        $uconfig = mysqli_real_escape_string($conn, ($_POST['config']));
        $utype = $_POST['type'];

        $update = "UPDATE `servers` SET 
        `name`='$uname',`username`='$uuser', `password`='$upassword',`configFile`='$uconfig',`flagURL`='$uflag',`type`='$utype' WHERE `id`=$gid";

        $query = mysqli_query($conn, $update);
        if ($query) {
            echo "<script>window.history.back(); window.location.reload();</script>";
            echo "Success";
        } else {
            echo "<script>window.history.back(); window.location.reload();</script>";
            echo "Failed : " . mysqli_error($conn);
        }
    }
    ?>

    <!-- content -->
    <div class="container">
        <div class="card shadow">
            <div class="card-header">
                <h4>Update Server</h4>
            </div>
            <div class="card-body">
                <form method="post" action="" role="form">
                    <div class="mb-3">
                        <label for="name" class="form-label">Country Name</label>
                        <input type="text" class="form-control" id="name" name="name" placeholder=".." required value="<?php echo $name ?>">
                    </div>

                    <div class="mb-3">
                        <label for="user" class="form-label">User Name</label>
                        <input type="text" class="form-control" id="user" name="user" placeholder="..." required value="<?php echo $username ?>">
                    </div>

                    <div class="mb-3">
                        <label for="password" class="form-label">Password</label>
                        <input type="text" class="form-control" id="password" name="password" placeholder="..." required value="<?php echo $password ?>">
                    </div>

                    <div class="mb-3">
                        <label for="flag" class="form-label">Flag URL</label>
                        <input type="text" class="form-control" id="flag" name="flag" placeholder="..." value="<?php echo $flagURL ?>">
                    </div>

                    <div class="mb-3">
                        <label for="config" class="form-label">Config File</label>
                        <textarea class="form-control" id="config" name="config" required rows="10"><?php echo $configFile ?></textarea>
                    </div>

                    <div class="mb-3">
                        <label for="type" class="form-label">Server Type</label>
                        <select class="form-select" aria-label="Default select example" id="type" name="type">
                            <option value="1" <?php echo $type == "1" ? "selected" : ""; ?>>Free Server</option>
                            <option value="0" <?php echo $type == "0" ? "selected" : ""; ?>>Paid Server</option>
                        </select>
                    </div>

                    <div class="text-center">
                        <input type="submit" class="btn btn-primary" name="update" value="Update" />
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="footer">
        <p>&copy; <?php echo date("Y"); ?> Your Company. All Rights Reserved.</p>
    </div>

    <?php include_once('includes/footer.php'); ?>
</body>

</html>
